%global momorel 5

Summary: A collection of high-quality printer drivers
Name: gutenprint

%{?include_specopt}
%{!?with_cups:%global with_cups 1}

Version: 5.2.4
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://gimp-print.sourceforge.net/

Source0: http://dl.sourceforge.net/sourceforge/gimp-print/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ghostscript-devel >= 8.71-1m
BuildRequires: ncurses-devel, readline-devel >= 5.0
BuildRequires: gtk2-devel, gimp-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig

BuildRequires: foomatic
%if %{with_cups}
BuildRequires: cups-devel
%endif

Provides: gimp-print = %{version}
Obsoletes: gimp-print < %{version}

%global foomatic_db_dir	%{_datadir}/foomatic/db/source

%description
These drivers provide printing quality for UNIX/Linux in many cases equal
to or better than proprietary vendor-supplied drivers, and can be used for
many of the most demanding printing tasks.

%package devel
Summary: Files for developing applications that use gimp-print
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries
Provides: gimp-print-devel = %{version}
Obsoletes: gimp-print-devel < %{version}

%description devel
The header files, static library, libtool library and man pages for
developing applications that use gimp-print.

%package utils
Summary: Utility programs from gimp-print
Requires: %{name} = %{version}-%{release}
Group: Applications/Publishing
Provides: gimp-print-utils = %{version}
Obsoletes: gimp-print-utils < %{version}

%description utils
This package contains the escputil program.

%package cups
Summary: CUPS support for gimp-print
Requires: %{name} = %{version}-%{release}
Group: Applications/Publishing
Provides: gimp-print-cups = %{version}
Obsoletes: gimp-print-cups < %{version}

%description cups
CUPS support for gimp-print

%prep
%setup -q

%build
%configure --with-foomatic --without-gimp --without-ghost --with-ijs \
%if %{with_cups}
  --with-cups
%else
  --without-cups
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# delete log file
rm -f %{buildroot}%{_datadir}/foomatic/kitload.log

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/ijsgutenprint.5.2
%{_bindir}/testpattern
%{_libdir}/gimp/2.0/plug-ins/gutenprint
%{_exec_prefix}/lib/cups/driver/gutenprint.5.2
%{_exec_prefix}/lib/cups/filter/commandtocanon
%{_exec_prefix}/lib/cups/filter/commandtoepson
%{_exec_prefix}/lib/cups/filter/rastertogutenprint.5.2
%{_libdir}/libgutenprint.so.*
%{_libdir}/libgutenprintui2.so.*
%exclude %{_libdir}/*.la

%{_datadir}/foomatic/db/source/driver/*
%{_datadir}/foomatic/db/source/opt/*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
%exclude %{_datadir}/locale/*/gutenprint_*.po
%{_mandir}/man1/ijsgutenprint.1.*

%files utils
%defattr(-,root,root)
%{_bindir}/escputil
%{_mandir}/man1/escputil.1*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/gutenprint.pc
%{_libdir}/pkgconfig/gutenprintui2.pc
%{_includedir}/%{name}
%{_includedir}/gutenprintui2
%{_libdir}/libgutenprint.so
%{_libdir}/libgutenprint.a
%{_libdir}/libgutenprintui2.so
%{_libdir}/libgutenprintui2.a

%if %{with_cups}
%files cups
%defattr(-,root,root)
%{_sysconfdir}/cups/command.types
%{_bindir}/cups-calibrate
%{_sbindir}/cups-genppd.5.2
%{_sbindir}/cups-genppdupdate
%{_datadir}/cups/calibrate.ppm
%{_mandir}/man8/cups-calibrate.8.*
%{_mandir}/man8/cups-genppd.8.*
%{_mandir}/man8/cups-genppdupdate.8.*
%endif

%changelog
* Thu May 27 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.2.4-5m)
- use ghostscript-devel instead of ijs-devel

* Thu Sep 10 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (5.2.4-1m)
- update to 5.2.4

* Sun May 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.2.3-2m)
- use cups_serverbin (%%{_exec_prefix}/lib/cups)

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.2.3-1m)
- update to 5.2.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1.98.2-2m)
- rebuild against rpm-4.6

* Sun Jun 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.1.98.2-1m)
- update to 5.1.98.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.0.1-3m)
- rebuild against gcc43

* Mon Dec 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.0.1-2m)
- to trunk

* Tue Sep 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.0.1-1m)
- update to 5.0.1
- rename gimp-print -> gutenprint

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.7-6m)
- delete libtool library

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.7-5m)
- rebuild against readline-5.0

* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.7-4m)
- revise %%files to avoid conflicting with cups

* Fri Apr 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.2.7-3m)
- rebuild against ijs-0.35

* Thu Feb 23 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.2.7-2m)
- don't install foomatic-db files.
  it's included in foomatic.

* Sat Feb 26 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.7-1m)
- major bugfixes

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (4.2.5-5m)
- revised spec for enabling rpm 4.2.

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (4.2.5-4m)
- pretty spec file.

* Tue Jul 22 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.5-4m)
- %define foomatic_db_dir /usr/share/foomatic/db/source

* Fri Mar 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-3m)
- support cups. if %%with_cups is set to 1 (default),
  sub package "cups" is made.

* Tue Mar 11 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-2m)
- do not run "make install" in plugin directory.
  (thanks Masahiro Nishiyama [Momonga-devel.ja:01449])

* Mon Feb 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-1m)
- update to 4.2.5
- s/telia//

* Sat Jan  4 2003 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-4m)
- install foomatic-db

* Sun Dec 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-3m)
- move ijsgimpprint to main package
- make %{_datadir}/gimp-print be %%docdir

* Fri Dec 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-2m)
- require ijs instead of ghostscript
- add --with-ijs to configure
- add BuildRequires: ncurses-devel, readline-devel

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.4-1m)

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (4.2.1-2k)
- create
